<template>
  <v-app id="inspire">
    <v-app-bar flat>
      <v-btn to="/" outlined>
        <v-toolbar-title>ShellFox_</v-toolbar-title>
      </v-btn>
      <v-spacer></v-spacer>

      <v-btn @click="toggleDark" icon>
        <v-icon>mdi-theme-light-dark</v-icon>
      </v-btn>
      <v-btn to="/tags" icon>
        <v-icon>mdi-bookmark-check</v-icon>
      </v-btn>
    </v-app-bar>
    <v-main>
      <v-container class="fill-height" fluid>
        <v-row align="center" justify="center">
          <v-col cols="12" sm="8" md="6">
            <router-view></router-view>
          </v-col>
        </v-row>
      </v-container>
    </v-main>
  </v-app>
</template>

<script>
export default {
  name: "App",

  data: () => ({
    //
  }),
  methods: {
    toggleDark() {
      this.$store.dispatch("toggleDark");
      this.$vuetify.theme.dark = this.$store.state.dark;
    }
  },
  mounted() {
    const theme = localStorage.getItem("darktheme");
    if (theme) {
      if (theme == "true") {
        this.$store.dispatch("toggleDark");
        this.$vuetify.theme.dark = true;
      } else {
        this.$vuetify.theme.dark = false;
      }
    }
  }
};
</script>
